Subject: bug#99: Acknowledgement (devuan-installer: the installed devuan system is not fully accessible)

From: Gregory Nowak <[email-masked]>
Date: Wed, 25 Mar 2020 15:49:16 -0700

Here's an update on Beowulf. Thanks first of all for bringing back the
PC speaker beep for the boot menu in the Beowulf netinst iso.

I thought lightdm wouldn't be a long term option, since in the
original gitlab discussion this bug was migrated from centurian Dan
had indicated that lightdm wouldn't be a long term option. I'm glad to
see that lightdm is still available in Beowulf. I'm also glad to see
the mate desktop in Beowulf is installed with lightdm and
lightdm-gtk-greeter by default. That's the good news, now for the bad
news.

1. There are problems when attempting to do a Beowulf install with
speech in a VirtualBox guest. On one of my machines, the guest crashed
totally. I don't know what was on the screen, the guest just became
unresponsive to attempted keyboard input when I started the install
with speech using the "s" option from the boot menu, and after I
attempted to set speakup volume and rate. On another guest, only the
software speech died, and I was still able to activate a hardware
synthesizer, and do the install that way. The good news is that this
seems to be a problem in debian as well:

<http://linux-speakup.org/pipermail/speakup/2020-March/062176.html>

So, this should be resolved once it is fixed upstream. There is a
patch which might fix this being backported to the 4.19.x kernels:

<http://linux-speakup.org/pipermail/speakup/2020-March/062166.html>

2. The other issue is still with lightdm, and this is a two part
issue. The first part is that after a fresh Beowulf install, orca
doesn't speak at the login screen. It seems that orca has trouble
initializing. I don't have access to the machine where I did the
install, so I'll reply again with the log file. On my regular install,
which is a minimal Ascii install upgraded to Beowulf, orca does in
fact talk at the login screen. I'm still trying to track down why it
works on my upgraded regular install, but doesn't work on a fresh
one. Like I said, I'll reply again with a log file when I have access
to that machine in a few hours.

The second problem with orca not speaking is after loging in through
lightdm a "couldn't register with accessibility bus" message appears
in $HOME/.xsession-errors. This means that orca also can't register
with the accessibility bus, so there is no speech in the GUI. When
running startx by hand, orca does in fact come up, and works just
fine. I started a thread to try to work out a solution to the problem
at:

<https://lists.dyne.org/lurker/message/20200325.043908.484afc83.en.html>

That's all for now. I'm glad to see that progress is being made with
accessibility in Beowulf. I'll be back with the orca not starting in
lightdm log
file I mentioned earlier.